MenuTop = 0
MenuRot = 0
BackRotation = 0
TargetItem = 0

menuitems=getmenu(2)

loadmesh("outersphere", "SKINS:\\green\\outersphere.xbg")
loadmesh("storagebox", "SKINS:\\green\\applist\\storagebox.xbg")
loadmesh("storageitem", "SKINS:\\green\\applist\\storageitem.xbg")
loadmesh("gamelogo", "SKINS:\\green\\applist\\gamelogo.xbg")
stockmesh("xraysphere", "sphere", 16, 16, 16)

loadtexture("XRayMap", "SKINS:\\green\\xray.bmp")

for i=0, menuitems-1 do
	loadtexture("TXR" .. i, getitemiconpath(2,i))
end

dblocks=getitemdblocks(2, TargetItem)

framecnt=15
function framemove ()
	framecnt=framecnt-1

	TargetAngle = TargetItem *18;
	if (MenuRot<TargetAngle-1) then
		MenuRot=MenuRot+0.5
	elseif (MenuRot>TargetAngle+1) then
		MenuRot=MenuRot-0.5
	elseif framecnt<0 then
		if (contAy>0.5 or contApushup>0) and TargetItem>0 then
			TargetItem=TargetItem-1
			dblocks=getitemdblocks(2, TargetItem)
			framecnt=30
		elseif (contAy<-0.5 or contApushdown>0) and TargetItem<menuitems-1 then
			TargetItem=TargetItem+1
			dblocks=getitemdblocks(2, TargetItem)
			framecnt=30
		end
		if contApusha>0.5 then
			launchxbe(getitemfilename(2, TargetItem))
			framecnt=30
		end
		if contApushy>0.5 then
			newscene("SKINS:\\green\\games.lua")
			framecnt=30
		end
		if contApushb>0.5 then
			newscene("SKINS:\\green\\mainmenu.lua")
			framecnt=30
		end
	end
	if TargetItem>MenuTop+3 then
		MenuTop=MenuTop+1
	elseif TargetItem<MenuTop then
		MenuTop=MenuTop-1
	end
end

function render ()
	BackRotation=BackRotation-0.0003

	setfont("mainfont")

	setrenderstate(102, 0)
	setrenderstate(92, 0)
	setrenderstate(59, 0)
	setrenderstate(147, 0)
	renderobject("outersphere", 1, 0, 0, 31, PI/2, BackRotation, 0, 1.3, 1.3, 1.3)

	setrenderstate(59, 1)
	setrenderstate(62, 32769)
	setrenderstate(63, 774)
	setrenderstateargb(75, 255, 135, 193, 0)
	setrenderstate(147, 2304)
	renderobject("storagebox", 0, 4.5, 3, 6, 0, 0, 0, 0.22, 0.22, 0.10)
	setrenderstate(147, 2305)

	for i=0, menuitems-1 do
		itemy=3-(i*18)+MenuRot
		if i~=TargetItem then
			setrenderstateargb(75, 255, 67, 96, 0)
		else
			setrenderstateargb(75, 255, 135, 193, 0)
		end
		renderobject("storageitem", 1, 4.5, itemy, 6, 0, 0, 0, 0.22, 0.22, 0.15)
		setrenderstateargb(75, 255, 255, 255, 255)
		settexture("TXR" .. i,0)
		renderobject("gamelogo", 0, 4.5, itemy, 6, 0, 0, 0, 0.22, 0.22, 0.15)
	end
	settextargb(255,255,255,255)
	setfont("titlefont")
	for i=0, menuitems-1 do
		rat=6.8
		texty=148+(i*18*rat)-MenuRot*rat
		if i~=TargetItem then
			settextargb(127,255,255,255)
		else
			settextargb(255,255,255,255)
		end
		rendertext(getitemstring(2, i), 298, texty)
	end
	settextargb(255,255,255,255)
	if dblocks>50000 then
		rendertext("50000+ Blocks", 112, 280)
	elseif dblocks~=1 then
		rendertext(dblocks .. " Blocks", 112, 280)
	else
		rendertext("1 Block", 112, 280)
	end
	setfont("mainfont")
	rendertext("GAMES", 220, 64, 2.5)
end
