BackRotation = 0

loadmesh("outersphere", "SKINS:\\xdash\\outersphere.xbg")
loadmesh("dialogborder", "SKINS:\\xdash\\dialog\\dialog-border.xbg")
loadmesh("dialogback", "SKINS:\\xdash\\dialog\\dialog-back.xbg")
loadmesh("dialogbutton", "SKINS:\\xdash\\dialog\\dialog-button.xbg")
loadmesh("selecteddialogbutton", "SKINS:\\xdash\\dialog\\dialog-sbutton.xbg")
stockmesh("xraysphere", "sphere", 16, 16, 16)

loadtexture("XRayMap", "SKINS:\\xdash\\xray.bmp")

framecnt=30
function framemove ()
	framecnt=framecnt-1
	if framecnt<0 then
		if contApusha>0.5 then
			newscene("SKINS:\\xdash\\settings.lua")
			framecnt=30
		end
		if contApushy>0.5 then
			newscene("SKINS:\\xdash\\about.lua")
			framecnt=30
		end
		if contApushb>0.5 then
			newscene("SKINS:\\xdash\\settings.lua")
			framecnt=30
		end
	end
end

function render ()
	BackRotation=BackRotation-0.0003

	setfont("mainfont")

	setrenderstate(102, 0)
	setrenderstate(92, 0)
	setrenderstate(59, 0)
	setrenderstate(147, 0)
	renderobject("outersphere", 1, 0, 0, 31, PI/2, BackRotation, 0, 1.3, 1.3, 1.3)

	setupxray(1, 48, 90, 128, 199)	
	settexture("XRayMap", 0)
	renderobject("dialogborder", 0, -1, 0.95, 6, 0, 0, 0, 0.20, 0.20, 0.10)
	setupxray(0, 255, 90, 128, 199)

	setrenderstate(59, 0)
	renderobject("dialogback", 1, -1, 0.95, 6, 0, 0, 0, 0.20, 0.20, 0.20)

	setrenderstate(59, 1)
	setrenderstate(62, 32769)
	setrenderstate(63, 774)
	setrenderstateargb(75, 255, 90, 128, 199)
	setrenderstate(147, 2304)
	renderobject("xraysphere", 0, 24, 3, 10, 0, 0, 0, 1, 1, 1)
	setrenderstate(147, 2305)

	setfont("titlefont")
	settextargb(255,255,255,255)
	rendertext("neXgen Dashboard\n" .. version .. "\n\nProduced by", 140, 130)
	setfont("titlefont")
	rendertext("Team XOS", 140, 210, 0.8, 0.8)
	setfont("titlefont")
	rendertext("Thanks Go To", 140, 240)
	setfont("titlefont")
	rendertext("Team Nexgen", 140, 260, 0.8, 0.8)
	setfont("titlefont")
end
