BackRotation = 0
TargetItem = getwidescreen()

loadmesh("outersphere", "SKINS:\\newxdash\\outersphere.xbg")
loadmesh("dialogborder", "SKINS:\\newxdash\\dialog\\dialog-border.xbg")
loadmesh("dialogback", "SKINS:\\newxdash\\dialog\\dialog-back.xbg")
loadmesh("dialogbutton", "SKINS:\\newxdash\\dialog\\dialog-wbutton.xbg")
loadmesh("selecteddialogbutton", "SKINS:\\newxdash\\dialog\\dialog-wsbutton.xbg")
stockmesh("xraysphere", "sphere", 8, 16, 16)

loadtexture("XRayMap", "SKINS:\\newxdash\\xray.bmp")

framecnt=30
function framemove ()
	framecnt=framecnt-1
	if framecnt<0 then
		if (contAy>0.5 or contApushup>0) then
			TargetItem=TargetItem-1
			framecnt=30
		end
		if (contAy<-0.5 or contApushdown>0) then
			TargetItem=TargetItem+1
			framecnt=30
		end
		if TargetItem<0 then
			TargetItem=2
		end
		if TargetItem>2 then
			TargetItem=0
		end
		if contApusha>0.5 then
			newscene("SKINS:\\newxdash\\settings.lua")
			setwidescreen(TargetItem)
			framecnt=30
		end
		if contApushy>0.5 then
			newscene("SKINS:\\newxdash\\videodialog.lua")
			framecnt=30
		end
		if contApushb>0.5 then
			newscene("SKINS:\\newxdash\\settings.lua")
			framecnt=30
		end
	end
end

function render ()
	BackRotation=BackRotation-0.0003
	setfont("mainfont")
	setrenderstate(102, 0)
	setrenderstate(92, 0)
	setrenderstate(59, 0)
	setrenderstate(147, 0)
	renderobject("outersphere", 1, 0, 0, 31, PI/2, BackRotation, 0, 1.3, 1.3, 1.3)

	setupxray(1, 48, 135, 193, 0)	
	settexture("XRayMap", 0)
	renderobject("dialogborder", 0, -1, 0.95, 6, 0, 0, 0, 0.20, 0.20, 0.10)
	setupxray(0, 255, 135, 193, 0)

	setrenderstate(59, 0)
	renderobject("dialogback", 1, -1, 0.95, 6, 0, 0, 0, 0.20, 0.20, 0.20)

	setrenderstate(59, 1)
	setrenderstate(62, 32769)
	setrenderstate(63, 774)
	setrenderstateargb(75, 255, 135, 193, 0)
	setrenderstate(147, 2304)
	renderobject("xraysphere", 0, 24, 3, 10, 0, 0, 0, 1, 1, 1)
	setrenderstate(147, 2305)

	if TargetItem==0 then
		renderobject("selecteddialogbutton", 1, 2, 12.95, 6, 0, 0, 0, 0.25, 0.20, 0.20)
		renderobject("dialogbutton", 1, 2, 6.95, 6, 0, 0, 0, 0.25, 0.20, 0.20)
		renderobject("dialogbutton", 1, 2, 0.95, 6, 0, 0, 0, 0.25, 0.20, 0.20)
		settextargb(255,255,255,255)
		rendertext("Normal", 204, 210)
		settextargb(128,255,255,255)
		rendertext("Widescreen", 184, 250)
		settextargb(128,255,255,255)
		rendertext("Letterbox", 190, 290)
	end
	if TargetItem==1 then
		renderobject("dialogbutton", 1, 2, 12.95, 6, 0, 0, 0, 0.25, 0.20, 0.20)
		renderobject("selecteddialogbutton", 1, 2, 6.95, 6, 0, 0, 0, 0.25, 0.20, 0.20)
		renderobject("dialogbutton", 1, 2, 0.95, 6, 0, 0, 0, 0.25, 0.20, 0.20)
		settextargb(128,255,255,255)
		rendertext("Normal", 204, 210)
		settextargb(255,255,255,255)
		rendertext("Widescreen", 184, 250)
		settextargb(128,255,255,255)
		rendertext("Letterbox", 190, 290)
	end
	if TargetItem==2 then
		renderobject("dialogbutton", 1, 2, 12.95, 6, 0, 0, 0, 0.25, 0.20, 0.20)
		renderobject("dialogbutton", 1, 2, 6.95, 6, 0, 0, 0, 0.25, 0.20, 0.20)
		renderobject("selecteddialogbutton", 1, 2, 0.95, 6, 0, 0, 0, 0.25, 0.20, 0.20)
		settextargb(128,255,255,255)
		rendertext("Normal", 204, 210)
		settextargb(128,255,255,255)
		rendertext("Widescreen", 184, 250)
		settextargb(255,255,255,255)
		rendertext("Letterbox", 190, 290)
	end
end
