BackRotation = 0
TIA = 0
TIB = 0
TIC = 0
TM = 1
MIA = getmenu(5)
MIC = getmenu(6)
MTA = 0
MTC = 0

ftplls("*")
MIA=getmenu(5)

menuitem={}
menuitem[1]="Connect"
menuitem[2]="<=-"
menuitem[3]="-=>"
menuitem[4]="Refresh"
menuitem[5]="Close"
MIB=5

loadmesh("outersphere", "SKINS:\\xdash\\outersphere.xbg")
loadmesh("dialogborder", "SKINS:\\xdash\\dialog\\dialog-border.xbg")
loadmesh("dialogback", "SKINS:\\xdash\\dialog\\dialog-back.xbg")
loadmesh("dialogbutton", "SKINS:\\xdash\\dialog\\dialog-wbutton.xbg")
loadmesh("selecteddialogbutton", "SKINS:\\xdash\\dialog\\dialog-wsbutton.xbg")

loadtexture("XRayMap", "SKINS:\\xdash\\xray.bmp")

framecnt=30
function framemove ()
	framecnt=framecnt-1
	if framecnt<0 then
		if (contAx<-0.5 or contApushleft>0) then
			TM=TM-1
			framecnt=10
		end
		if (contAx>0.5 or contApushright>0) then
			TM=TM+1
			framecnt=10
		end
		if TM<0 then
			TM=0
		end
		if TM>2 then
			TM=2
		end
		if (contAy>0.5 or contApushup>0) then
			if TM==0 and MIA>0 then
				TIA=TIA-1
			elseif TM==1 then
				TIB=TIB-1
			elseif TM==2 and MIC>0 then
				TIC=TIC-1
			end
			framecnt=10
		end
		if (contAy<-0.5 or contApushdown>0) then
			if TM==0 and MIA>0 then
				TIA=TIA+1
			elseif TM==1 then
				TIB=TIB+1
			elseif TM==2 and MIC>0 then
				TIC=TIC+1
			end
			framecnt=10
		end
		if (contApushl>0.5) then
			if TM==0 and MIA>0 then
				TIA=TIA-round(contApushl/32,0)
			elseif TM==1 then
				TIB=TIB-1
			elseif TM==2 and MIC>0 then
				TIC=TIC-round(contApushl/32,0)
			end
			framecnt=10
		end
		if (contApushr>0.5) then
			if TM==0 and MIA>0 then
				TIA=TIA+round(contApushr/32,0)
			elseif TM==1 then
				TIB=TIB+1
			elseif TM==2 and MIC>0 then
				TIC=TIC+round(contApushr/32,0)
			end
			framecnt=10
		end

		if (MIA>0) then
			if (TIA<0) then
				TIA=0
			elseif (TIA>=MIA) then
				TIA=MIA-1
			end
			if (TIA>MTA+12) then
				MTA=TIA-12
			elseif (TIA<MTA) then
				MTA=TIA
			end
		end

		if (TIB<0) then
			TIB=0
		elseif (TIB>=MIB) then
			TIB=MIB-1
		end

		if(MIC>0) then
			if (TIC<0) then
				TIC=0
			elseif (TIC>=MIC) then
				TIC=MIC-1
			end
			if (TIC>MTC+12) then
				MTC=TIC-12
			elseif (TIC<MTC) then
				MTC=TIC
			end
		end

		MIA=getmenu(5)
		MIC=getmenu(6)

		if contApusha>0.5 then
			if TM==0 then
				if getitemtype(5, TIA)==1 then
					ftplcd(getitemfilename(5, TIA))
					TIA=0
					MTA=0
				end
			elseif TM==1 then
				if TIB==0 then
					ftpsetuser("user")
					ftpsetpass("pass")
					ftpopen("10.128.64.2:21")
					TIC=0
					MTC=0
				elseif TIB==1 then
					ftpget(getitemfilename(6, TIC))
				elseif TIB==2 then
					ftpput(getitemfilename(5, TIA))
				elseif TIB==3 then
					ftplls("*")
					ftplist("dirFiltered")
					MIA=getmenu(5)
					MIC=getmenu(6)
					TIC=0
					MTC=0
					TIA=0
					MTA=0
				elseif TIB==4 then
					ftpclose()
					MIC=0
					MTC=0
					TIC=0
				end
			elseif TM==2 then
				if getitemtype(6, TIC)==1 then
					ftpcd(getitemfilename(6, TIC))
					TIC=0
					MTC=0
				end
			end
			framecnt=10
		end
		if contApushy>0.5 then
			newscene("SKINS:\\xdash\\ftpdialog.lua")
			framecnt=10
		end
		if contApushb>0.5 then
			newscene("SKINS:\\xdash\\mainmenu.lua")
			framecnt=10
		end
	end
end

function render ()
	BackRotation=BackRotation-0.0003

	setfont("mainfont")

	setrenderstate(102, 0)
	setrenderstate(92, 0)
	setrenderstate(59, 0)
	setrenderstate(147, 0)
	renderobject("outersphere", 1, 0, 0, 31, PI/2, BackRotation, 0, 1.3, 1.3, 1.3)

	setupxray(1, 48, 90, 128, 199)	
	settexture("XRayMap", 0)
	renderobject("dialogborder", 0, -16, 0.95, 7, 0, 0, 0, 0.16, 0.20, 0.10)
	renderobject("dialogborder", 0, 16, 0.95, 7, 0, 0, 0, -0.16, 0.20, 0.10)
	setupxray(0, 255, 90, 128, 199)

	setrenderstate(59, 0)
	renderobject("dialogback", 1, -16, 0.95, 7, 0, 0, 0, 0.16, 0.20, 0.20)
	renderobject("dialogback", 1, 16, 0.95, 7, 0, 0, 0, -0.16, 0.20, 0.20)

	if MIA>0 then
		setfont("titlefont")
		for instance=0, 12 do
			if instance+MTA<MIA then
				if instance+MTA~=TIA or TM~=0 then
					settextargb(128,255,255,255)
				elseif instance+MTA==TIA and TM==0 then
					settextargb(255,255,255,255)
				end
				mystr=getitemstring(5, instance+MTA)
				rendertext(mystr, 88, 128+instance*16)
			end
		end
	end

	for i=1,MIB do
		if TIB==i-1 and TM==1 then
			renderobject("selecteddialogbutton", 1, 11, 26-6*i, 6, 0, 0, 0, 0.20, 0.20, 0.20)
		else
			renderobject("dialogbutton", 1, 11, 26-6*i, 6, 0, 0, 0, 0.20, 0.20, 0.20)
		end
	end

	setfont("mainfont")
	for i=1,MIB do
		if TIB==i-1 and TM==1 then
			settextargb(255,0,0,0)
			rendertext(menuitem[i], 280, 120+40*i)
		else
			settextargb(128,255,255,255)
			rendertext(menuitem[i], 280, 120+40*i)
		end
	end

	if MIC>0 then
		setfont("titlefont")
		for instance=0, 12 do
			if instance+MTC<MIC then
				if instance+MTC~=TIC or TM~=2 then
					settextargb(128,255,255,255)
				elseif instance+MTC==TIC and TM==2 then
					settextargb(255,255,255,255)
				end
				mystr=getitemstring(6, instance+MTC)
				rendertext(mystr, 400, 128+instance*16)
			end
		end
	end
	setfont("mainfont")
end

